# The following tag is to get correct syntax highlighting for this file in vim text editor
# vim: syntax=spec

# git_dir_name returns repository name derived from remote Git repository URL
Name:       fedora-toolbox

# git_dir_version returns version based on commit and tag history of the Git project
Version:    0.0.git.37.59f6779

# This can be useful later for adding downstream patches
Release:    1%{?dist}

# Basic description of the package
Summary:    Fedora Toolbox is a tool that offers a familiar RPM based environment for developing and debugging software on locked down OSTree based Fedora systems like Silverblue

# License. Hopefully free or at least open-source. We assume GPLv2+ here.
License:    Apache

# Home page of the project. Can also point to the public Git repository page.
URL:        https://github.com/debarshiray/fedora-toolbox

# Detailed information about the source Git repository and the source commit
# for the created rpm package
VCS:        git+ssh://git@pagure.io/fedora-toolbox.git#59f6779db4e806c7ab8e7c7470e8e4fec3f99a30:

# git_dir_pack macro places the repository content (the source files) into a tarball
# and returns its filename. The tarball will be used to build the rpm.
Source:     fedora-toolbox-0.0.git.37.59f6779.tar.gz

BuildArch: noarch

# More detailed description of the package
%description
Fedora Toolbox is a tool that offers a familiar RPM based environment for developing
and debugging software on locked down OSTree based Fedora systems like Silverblue. 
Such operating systems are shipped as immutable OSTree images, where it's difficult
to setup a development environment with your favorite tools, editors and SDKs. A
toolbox container solves that problem by providing a RPM based mutable container.
You can tweak it to your heart's content and use DNF to install your favorite
packages, all without worrying about breaking your operating system.

The toolbox environment is based on the fedora-toolbox image. This image is then
customized for the current user to create a toolbox container that seamlessly integrates
with the rest of the operating system.

# The following four sections already describe the rpm build process itself.
# prep will extract the tarball defined as Source above and descend into it.
%prep
%setup -q -n fedora-toolbox-0.0.git.37.59f6779

# This will copy the files generated by the `make` command above into
# the installable rpm package.
%install
mkdir -p %{buildroot}/usr/bin
cp fedora-toolbox %{buildroot}/usr/bin

# This lists all the files that are included in the rpm package and that
# are going to be installed into target system where the rpm is installed.
%files
/usr/bin/fedora-toolbox

# Finally, changes from the latest release of your application are generated from
# your project's Git history. It will be empty until you make first annotated Git tag.
%changelog

